MODBUS_READ_INPUT_BI(3)

NAME
modbus_read_input_bits - read many input bits

SYNOPSIS

int modbus_read_input_bits(modbus_t *ctx, int addr, int nb, uint8_t *dest);

DESCRIPTION

The modbus_read_input_bits() function shall read the content of the nb input bits to the address addr of the remote device. The result of reading is stored in dest array as unsigned bytes (8 bits) set to TRUE or FALSE.

You must take care to allocate enough memory to store the results in dest (at least nb * sizeof(uint8_t)).

The function uses the Modbus function code 0x02 (read input status).

RETURN VALUE

The modbus_read_input_status() function shall return the number of read input status if successful. Otherwise it shall return -1 and set errno.

ERRORS

EMBMDATA
    Too many discrete inputs requested

SEE ALSO

modbus_read_input_registers(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com